summaryrefslogtreecommitdiff
path: root/nonsystemd/lm_sensors-openrc/lm_sensors.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/lm_sensors-openrc/lm_sensors.initd')
-rw-r--r--nonsystemd/lm_sensors-openrc/lm_sensors.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/nonsystemd/lm_sensors-openrc/lm_sensors.initd b/nonsystemd/lm_sensors-openrc/lm_sensors.initd
new file mode 100644
index 000000000..dc8f2c737
--- /dev/null
+++ b/nonsystemd/lm_sensors-openrc/lm_sensors.initd
@@ -0,0 +1,21 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/bin/sensors"
+
+depend() {
+ need localmount
+ after modules-load
+}
+
+start() {
+ ebegin "Initializing sensors"
+ ${command} --set >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ # Nothing to stop
+ return 0;
+}